Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class NullObject

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          org.codehaus.groovy.runtime.NullObject

    public class NullObject
    extends GroovyObjectSupport

Method Summary
`boolean` | `asBoolean()` A null object always coerces to false.
`Object` | `asType(Class c)` Type conversion method for null.
`Object` | `clone()` Since this is implemented as a singleton, we should avoid the use of the clone method
`boolean` | `equals(Object to)` null is only equal to null
`static NullObject` | `getNullObject()` get the NullObject reference
`Object` | `getProperty(String property)` Tries to get a property on null, which will always fail
`int` | `hashCode()`
`Object` | `invokeMethod(String name, Object args)` Tries to invoke a method on null, which will always fail
`boolean` | `is(Object other)` The method "is" is used to test for equal references.
`Iterator` | `iterator()` iterator() method to be able to iterate on null.
`Object` | `plus(String s)` Allows to add a String to null.
`void` | `setProperty(String property, Object newValue)` Tries to set a property on null, which will always fail
`String` | `toString()`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### asBoolean

    public boolean asBoolean()

  A null object always coerces to false.
  Returns:
    false

### asType

    public Object asType(Class c)

  Type conversion method for null.
  Parameters:
    `c` - - the class to convert to
  Returns:
    always null

### clone

    public Object clone()

  Since this is implemented as a singleton, we should avoid the use of the clone method

### equals

    public boolean equals(Object to)

  null is only equal to null
  Parameters:
    `to` - - the reference object with which to compare
  Returns:
    - true if this object is the same as the to argument

### getNullObject

    public static NullObject getNullObject()

  get the NullObject reference
  Returns:
    the null object

### getProperty

    public Object getProperty(String property)

  Tries to get a property on null, which will always fail
  Parameters:
    `property` - - the property to get
  Returns:
    a NPE

### hashCode

    public int hashCode()

### invokeMethod

    public Object invokeMethod(String name, Object args)

  Tries to invoke a method on null, which will always fail
  Parameters:
    `name` - the name of the method to invoke
    `args` - - arguments to the method
  Returns:
    a NPE

### is

    public boolean is(Object other)

  The method "is" is used to test for equal references. This method will return true only if the given parameter is null
  Parameters:
    `other` - - the object to test
  Returns:
    true if other is null

### iterator

    public Iterator iterator()

  iterator() method to be able to iterate on null. Note: this part is from Invoker
  Returns:
    an iterator for an empty list

### plus

    public Object plus(String s)

  Allows to add a String to null. The result is concatenated String of the result of calling toString() on this object and the String in the parameter.
  Parameters:
    `s` - - the String to concatenate
  Returns:
    the concatenated string

### setProperty

    public void setProperty(String property, Object newValue)

  Tries to set a property on null, which will always fail
  Parameters:
    `property` - - the proprty to set
    `newValue` - - the new value of the property

### toString

    public String toString()

Copyright © 2003-2010 The Codehaus. All rights reserved.